WebService (CMDB Model API)
Keywords: com.collation.platform.model.topology.soa.WebService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.soa
Interface WebService

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Service

    public interface WebService

extends Service

A Web Service as defined by WSDL

Naming Rules:
  0="namespace,name"
Persistable:
  true
Top Level:
  true
Display Name:
  namespace,name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.Service
`IBM_COPYRIGHT`

Method Summary
`Document[]` | `getDefiningDocs()` The documents that contain the definition of this service
`java.lang.String` | `getNamespace()` The XML namespace used in the definition of this web service
`WSPort[]` | `getPorts()` The ports defined as part of this web service
`boolean` | `hasDefiningDocs()`
`boolean` | `hasNamespace()`
`boolean` | `hasPorts()`
`void` | `setDefiningDocs(Document[] docs)`
`void` | `setNamespace(java.lang.String name)`
`void` | `setPorts(WSPort[] name)`

Methods inherited from interface com.collation.platform.model.topology.sys.Service
`getHost, getName, getPrimarySAP, getProductName, getProductVersion, getServiceAccessPoints, getSoftwareInstallation, getVendorName, hasHost, hasName, hasPrimarySAP, hasProductName, hasProductVersion, hasServiceAccessPoints, hasSoftwareInstallation, hasVendorName, setHost, setName, setPrimarySAP, setProductName, setProductVersion, setServiceAccessPoints, setSoftwareInstallation, setVendorName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getNamespace

    java.lang.String getNamespace()
                                  throws AttributeNotSetException

  The XML namespace used in the definition of this web service

  Throws:
    `AttributeNotSetException`

### setNamespace

    void setNamespace(java.lang.String name)

### hasNamespace

    boolean hasNamespace()

### getPorts

    WSPort[] getPorts()
                      throws AttributeNotSetException

  The ports defined as part of this web service

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setPorts

    void setPorts(WSPort[] name)

### hasPorts

    boolean hasPorts()

### getDefiningDocs

    Document[] getDefiningDocs()
                               throws AttributeNotSetException

  The documents that contain the definition of this service

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DefinedUsing" reverse="false"

### setDefiningDocs

    void setDefiningDocs(Document[] docs)

### hasDefiningDocs

    boolean hasDefiningDocs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD